#include <bits/stdc++.h>
using namespace std;
long a[100010];
long t=0;
long r=0;
int main() {
	long n;
	cin>>n;
    long x;
    for (long i=1;i<=n;i++)
    {
        cin >>a[i];
        x=i;
        t++;
    }
    int h=0;
    while(t>0)
    {
        t-=1;
        r+=a[x];
        int q=x;
        for (int i=h;i<=n;i++)
        {
            if (a[i]!=a[q]) {a[i]--;}
            else if (a[i]==1) {t-=1;a[i]=0;h++;}
            if (a[i]>0 && i!=q ) x=i;
        }
        a[q]=0;
    }
    cout <<r;
}
